Turns out the 1.2 series does not have support for CNL, sorry for the confusion.
 There was a mis-communication, and the code did not get moved over to from
 the trunk to the 1.2 branch.  The support is in the trunk, and should be moved
 over to the 1.2 branch in 1.2.5

Rich


On 9/25/07 9:13 PM, "Brian Barrett" <brbarret@open-mpi.org> wrote:

On Sep 25, 2007, at 1:37 PM, Richard Graham wrote:

> Josh Hursey did the port of Open MPI to CNL.  Here is the config
> line I have used to build
>  on the Cray XT4:
>
> ./configure CC=/opt/xt-pe/default/bin/snos64/linux-pgcc CXX=/opt/xt-
> pe/default/bin/snos64/linux-pgCC F77=/opt/xt-pe/default/bin/snos64/
> linux-pgf90 FC=/opt/xt-pe/default/bin/snos64/linux-pgf77 CFLAGS=-I/
> opt/xt-pe/default/include/ CPPFLAGS=-I/opt/xt-pe/default/include/
> FCFLAGS=-I/opt/xt-pe/default/include/ FFLAGS=-I/opt/xt-pe/default/
> include/ LDFLAGS=-L/opt/xt-mpt/default/lib/snos64/ LIBS=-lpct -
> lalpslli -lalpsutil  --build=x86_64-unknown-linux-gnu --host=x86_64-
> cray-linux-gnu --with-platform=../contrib/platform/cray_xt3_romio --
> with-io-romio-flags=--disable-aio build_alias=x86_64-unknown-linux-
> gnu host_alias=x86_64-cray-linux-gnu --enable-ltdl-convenience --no-
> recursion --prefix=/na2_apps/OpenMPI/xt-2.0.20/1.2/ompi/P2

I believe, however, that you need to use one of the Open MPI 1.2.4
release candidates or the nightly tarballs from the 1.2 or trunk
branches.  There are some known issues with the 1.2.3 release on the
Cray XT platform that have since been resolved.

Brian
_______________________________________________
users mailing list
users@open-mpi.org
http://www.open-mpi.org/mailman/listinfo.cgi/users